BackupState (Apache Hadoop HDFS 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.server.namenode, class: BackupState

Package org.apache.hadoop.hdfs.server.namenode

# Class BackupState

java.lang.Object
org.apache.hadoop.hdfs.server.namenode.ha.HAState
org.apache.hadoop.hdfs.server.namenode.BackupState

@Private public class BackupState extends HAState

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.hdfs.server.namenode.ha.HAState

  `state`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BackupState()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkOperation(HAContext context, NameNode.OperationCategory op)`
  Check if an operation is supported in a given state.
  `void`
  `enterState(HAContext context)`
  Method to be overridden by subclasses to perform steps necessary for entering a state.
  `void`
  `exitState(HAContext context)`
  Method to be overridden by subclasses to perform steps necessary for exiting a state.
  `void`
  `prepareToExitState(HAContext context)`
  Method to be overridden by subclasses to prepare to exit a state.
  `boolean`
  `shouldPopulateReplQueues()`

  ### Methods inherited from class org.apache.hadoop.hdfs.server.namenode.ha.HAState

  `getLastHATransitionTime, getServiceState, prepareToEnterState, setState, setStateInternal, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BackupState

    public BackupState()

- ## Method Details

  - ### checkOperation

    public void checkOperation(HAContext context, NameNode.OperationCategory op) throws org.apache.hadoop.ipc.StandbyException
    Description copied from class: `HAState`
    Check if an operation is supported in a given state.
    Specified by:
      `checkOperation` in class `HAState`
    Parameters:
      `context` - HA context
      `op` - Type of the operation.
    Throws:
      `org.apache.hadoop.ipc.StandbyException` - if a given type of operation is not supported in standby state

  - ### shouldPopulateReplQueues

    public boolean shouldPopulateReplQueues()
    Specified by:
      `shouldPopulateReplQueues` in class `HAState`

  - ### enterState

    public void enterState(HAContext context) throws org.apache.hadoop.ha.ServiceFailedException
    Description copied from class: `HAState`
    Method to be overridden by subclasses to perform steps necessary for entering a state.
    Specified by:
      `enterState` in class `HAState`
    Parameters:
      `context` - HA context
    Throws:
      `org.apache.hadoop.ha.ServiceFailedException` - on failure to enter the state.

  - ### exitState

    public void exitState(HAContext context) throws org.apache.hadoop.ha.ServiceFailedException
    Description copied from class: `HAState`
    Method to be overridden by subclasses to perform steps necessary for exiting a state.
    Specified by:
      `exitState` in class `HAState`
    Parameters:
      `context` - HA context
    Throws:
      `org.apache.hadoop.ha.ServiceFailedException` - on failure to enter the state.

  - ### prepareToExitState

    public void prepareToExitState(HAContext context) throws org.apache.hadoop.ha.ServiceFailedException
    Description copied from class: `HAState`
    Method to be overridden by subclasses to prepare to exit a state. This method is called without the context being locked. This is used by the standby state to cancel any checkpoints that are going on. It can also be used to check any preconditions for the state transition. This method should not make any destructive changes to the state (eg stopping threads) since `HAState.prepareToEnterState(HAContext)` may subsequently cancel the state transition.
    Overrides:
      `prepareToExitState` in class `HAState`
    Parameters:
      `context` - HA context
    Throws:
      `org.apache.hadoop.ha.ServiceFailedException` - on precondition failure